std::locale::facet(3)

NAME
std::locale::facet -

SYNOPSIS

Inherited by __ctype_abstract_base, __ctype_abstract_base< wchar_t >, __moneypunct_cache, __numpunct_cache, __timepunct, __timepunct_cache, collate, ctype< char >, messages, money_get, money_put, moneypunct, num_get, num_put, numpunct, time_get, and time_put.

Detailed Description

The facet class is the base class for a localization feature, such as money, time, and number printing. It provides common support for facets and reference management.

Facets may not be copied or assigned.

Definition at line 343 of file locale_classes.h.

  Protected Member Functions
facet (size_t __refs=0) throw ()
virtual ~facet ()

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc)
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name ()

  Friends
class locale
class locale::_Impl

Constructor & Destructor Documentation

  facet (size_t __refs = 0) throw () [inline, explicit, protected]

Facet constructor.

This is the constructor provided by the standard. If refs is 0, the facet is destroyed when the last referencing locale is destroyed. Otherwise the facet will never be destroyed.

Parameters:
    refs The initial value for reference count.

Definition at line 375 of file locale_classes.h.

  virtual ~facet () [protected, virtual]

Facet destructor.

Author

Generated automatically by Doxygen for libstdc++ from the source code.